
Packaging - Bug #34468

Installer uses hostname, but that package can be absent

02/17/2022 02:06 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: RPMs   

Target version: 3.2.0   

Difficulty:  Fixed in Releases: 3.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/7590,

https://github.com/theforeman/foreman-p

ackaging/pull/7685

  

Description

on CentOS/RHEL "hostname" is not an essential package (contrary to Debian), so it can be absent on a system

our packaging needs to reflect that

Associated revisions

Revision fea6988c - 02/17/2022 02:39 PM - Evgeni Golov

Fixes #34468 - make installer explicitly depend on hostname

it's used in checks/hostname.rb, but the package is sometimes absent

History

#1 - 02/17/2022 02:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman-packaging/pull/7590 added

#2 - 02/17/2022 02:40 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#3 - 02/17/2022 03:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|fea6988c9b6dfb20f0d2423509e385f733cfa086.

#4 - 03/10/2022 11:32 AM - Ewoud Kohl van Wijngaarden

- Target version set to 3.2.0

- Triaged changed from No to Yes

#5 - 03/10/2022 11:34 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/7685 added

#6 - 05/13/2022 11:00 AM - Amit Upadhye

- Subject changed from instaler uses hostname, but that package can be absent to Installer uses hostname, but that package can be absent
